gr::satellites::phase_unwrap Class Reference

Unwraps a phase time series. More...

`#include <phase_unwrap.h>`

Inheritance diagram for gr::satellites::phase_unwrap:
[legend]

## Public Types

typedef boost::shared_ptr< phase_unwrap > | sptr

## Static Public Member Functions

static sptr | make ()
| Build the Phase Unwrap block.

## Detailed Description

Unwraps a phase time series.

The Phase Unwrap block unwraps a phase input by counting integer cycles. The integer number of cycles is given as an int64_t, so that overflows are impossible in most use cases. The output of the block is a vector of 12 bytes that contains the integer number of cycles in the first 8 bytes and the fractional phase in radians in the last 4 bytes.

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<phase_unwrap> gr::satellites::phase_unwrap::sptr

## Member Function Documentation

## make()

sptr gr::satellites::phase_unwrap::make | ( |  | ) |

static

Build the Phase Unwrap block.

The documentation for this class was generated from the following file:

- phase_unwrap.h